import { Route } from '..';
import { AbstractRouter } from './base';
export declare enum RouteKeyword {
    INDEX = "index",
    CATCH_ALL = "/*",
    DYNAMIC = ":"
}
export interface FileSystemRouterConfig {
    source: string;
    routes: Route[];
}
export declare class FileSystemRouter extends AbstractRouter {
    config: FileSystemRouterConfig;
    constructor(config: FileSystemRouterConfig);
    getApiDirectory(baseDir: string): string;
    getFunctionId(file: string, functionName: string, isExportDefault: boolean): string;
    getRoute(file: string): Route;
    isApiFile({ file }: {
        file: any;
    }): boolean;
    functionToHttpPath(file: string, functionName: string, exportDefault: boolean): string;
    buildUrl(file: string, functionName?: string): any;
}
